#!/bin/bash

USER_DIR=${USER_DIR:="/usbdrive"}
#PATCH_DIR=${PATCH_DIR:="/${USER_DIR}/Patches"}
SCRIPTS_DIR=$FW_DIR/scripts

#step to lock the encoder button
oscsend localhost 4001 /enableauxsub i 1

#step to prevent the accumulation of this file
rm $USER_DIR/Patches/patchstorage_2019-12.zop

oscsend localhost 4001 /oled/aux/clear i 1
oscsend localhost 4001 /oled/setscreen i 1

oscsend localhost 4001 /oled/aux/line/1 s "checking for updates "

wget --no-check-certificate https://patchstorage.com/wp-content/uploads/2019/12/patchstorage_2019-12.zop -P $USER_DIR/Patches

oscsend localhost 4001 /oled/aux/clear i 1
oscsend localhost 4001 /oled/setscreen i 1

oscsend localhost 4001 /oled/aux/line/1 s "if 2019-12 has been  "
oscsend localhost 4001 /oled/aux/line/2 s "released, it should  "
oscsend localhost 4001 /oled/aux/line/3 s "have been downloaded "
oscsend localhost 4001 /oled/aux/line/4 s "into /Patches        "
sleep 1
oscsend localhost 4001 /oled/aux/line/5 s "(check down there...)"

oscsend localhost 4001 /reload i 1

oscsend localhost 4001 /enableauxsub i 0
